gnutls_anon_allocate_server_credentials(3)

NAME
gnutls_anon_allocate_server_credentials - Used to allocate an gnutls_anon_server_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_anon_allocate_server_credentials(gnutls_anon_server_credentials_t * sc);

ARGUMENTS

gnutls_anon_server_credentials_t *       sc
    is a pointer to an gnutls_anon_server_credentials_t structure.

DESCRIPTION
This structure is complex enough to manipulate directly thus this helper function is provided in order to allocate it.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.